Note: Due to technical difficulties, the Archives are currently not up to date.
GMANE provides an alternative service for most mailing lists. c.f. bug 424647
List Archive: gentoo-commits
commit: c596a93b61fde50ea167f78cbd2a4d7497ab7e78
Author: Kent Fredric <kentfredric <AT> gmail <DOT> com>
AuthorDate: Sun Jun 24 21:05:53 2012 +0000
Commit: Kent Fredric <kentfredric <AT> gmail <DOT> com>
CommitDate: Sun Jun 24 21:05:53 2012 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/perl-overlay.git;a=commit;h=c596a93b
[newversion] Task-Kensho-0.330.0
(Portage version: 2.2.0_alpha101/git/Linux x86_64, signed Manifest commit with key 4132B87441EA24A4EB5E6DE181EC638ED7AE97A6)
---
dev-perl/Task-Kensho/ChangeLog | 6 ++
dev-perl/Task-Kensho/Task-Kensho-0.330.0.ebuild | 67 +++++++++++++++++++++++
2 files changed, 73 insertions(+), 0 deletions(-)
diff --git a/dev-perl/Task-Kensho/ChangeLog b/dev-perl/Task-Kensho/ChangeLog
index fc67d37..56c6386 100644
--- a/dev-perl/Task-Kensho/ChangeLog
+++ b/dev-perl/Task-Kensho/ChangeLog
@@ -2,6 +2,12 @@
# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*Task-Kensho-0.330.0 (24 Jun 2012)
+
+ 24 Jun 2012; Kent Fredric <kentfredric@...>
+ +Task-Kensho-0.330.0.ebuild:
+ Version Bump
+
*Task-Kensho-0.320.0 (23 Jun 2012)
23 Jun 2012; Kent Fredric <kentfredric@...>
diff --git a/dev-perl/Task-Kensho/Task-Kensho-0.330.0.ebuild b/dev-perl/Task-Kensho/Task-Kensho-0.330.0.ebuild
new file mode 100644
index 0000000..ea92b0c
--- /dev/null
+++ b/dev-perl/Task-Kensho/Task-Kensho-0.330.0.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+EAPI=4
+MODULE_AUTHOR=ETHER
+MODULE_VERSION=0.33
+inherit perl-module
+
+DESCRIPTION='A glimpse at an Enlightened Perl.'
+LICENSE=" || ( Artistic GPL-2 )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+IUSE="+basic-toolchain +testing +oop async webdev db crawl module-devel date
+config cli scripting xml +exceptions spreadsheet email scalability +logging"
+
+perl_meta_configure() {
+ # ExtUtils::MakeMaker 6.36 ( 6.360.0 )
+ echo \>=virtual/perl-ExtUtils-MakeMaker-6.360.0
+}
+perl_meta_build() {
+ # ExtUtils::MakeMaker 6.36 ( 6.360.0 )
+ echo \>=virtual/perl-ExtUtils-MakeMaker-6.360.0
+}
+
+feature() {
+ local name="$1";
+ shift;
+ echo "$name? (";
+ echo "$@";
+ echo ")";
+}
+sfeature() {
+ local name="$1";
+ local suffix="$2";
+ feature "$name" "dev-perl/Task-Kensho-${suffix}"
+}
+
+perl_meta_runtime() {
+ sfeature 'basic-toolchain' 'Toolchain';
+ sfeature 'exceptions' 'Exceptions';
+ sfeature 'testing' 'Testing';
+ sfeature 'oop' 'OOP';
+ sfeature 'async' 'Async';
+ sfeature 'xml' 'XML';
+ sfeature 'webdev' 'WebDev';
+ sfeature 'db' 'DBDev';
+ sfeature 'crawl' 'WebCrawling';
+ sfeature 'module-devel' 'ModuleDev';
+ sfeature 'scalability' 'Scalability';
+ sfeature 'date' 'Dates';
+ sfeature 'config' 'Config';
+ sfeature 'cli' 'CLI';
+ sfeature 'scripting' 'Hackery';
+ sfeature 'spreadsheet' 'ExcelCSV';
+ sfeature 'email' 'Email';
+ sfeature 'logging' 'Logging';
+}
+DEPEND="
+ $(perl_meta_configure)
+ $(perl_meta_build)
+ $(perl_meta_runtime)
+"
+RDEPEND="
+ $(perl_meta_runtime)
+"
+SRC_TEST="do"
|
|